Skip to content

ZoneIntersectionSummary

Object

Summary information for zone intersections across a time range. Includes total count and counts by buckets.

Fields

FieldTypeDescription
totalInt!

The total number of zone intersections within the time range.

startedCountInt!

The number of zone intersections which started within the time range.

endedCountInt!

The number of zone intersections which ended within the time range.

summaryStatisticsZoneIntersectionSummaryStatistics!

Summary statistics for all zone intersections within the summary’s time range and filters.

buckets[ZoneIntersectionSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if zoneIntersectionBucket is provided as a query parameter to zoneIntersectionSummary.

highestTotalBuckets[ZoneIntersectionHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no zoneIntersectionBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByZoneIntersectionSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s zoneIntersectionBucket: groupBy.fields must be a subset of zoneIntersectionBucket.fields, and groupBy.size must equal zoneIntersectionBucket.size if set. If null, returns the single bucket with the greatest total across all buckets (plus any ties).